View Issue Details

IDProjectCategoryView StatusLast Update
0002766SymmetricDSBugpublic2017-04-18 15:44
Reportergilles.riandAssigned Tomaxwellpettit 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.2 
Target Version3.8.20Fixed in Version3.8.20 
Summary0002766: Version 3.8.3 : Symmtric DS Installation on Interbase
DescriptionInvalid Name during creating triggers for example (SYM_ON_I_FOR_SYM_TRNSFRM_TBL)

Wrongs Names : it's not ID now it's NAME

select context_value from sym_context where id = 'sync_node_disabled' into :sync_node_disabled;

select context_value from sym_context where name = 'sync_node_disabled' into :sync_node_disabled;



Steps To ReproduceJust try to install symmetric DS
Additional InformationFailed to create trigger: create trigger SYM_ON_I_FOR_SYM_TRNSFRM_TBL for "SYM_TRANSFORM_TABLE" after insert as declare variable id integer; declare variable sync_triggers_disabled varchar(30); declare variable sync_node_disabled varchar(30); begin select context_value from sym_context where id = 'sync_triggers_disabled' into :sync_triggers_disabled;
                                  if (1=1 and 1=1) then begin select context_value from sym_context where id = 'sync_node_disabled' into :sync_node_disabled; select gen_id(GEN_sym_data_data_id, 1) from rdb$database into :id; insert into sym_data (data_id, table_name, event_type, trigger_hist_id, row_data, channel_id, transaction_id, source_node_id, external_data, create_time) values( :id, 'sym_transform_table', 'I', 2,
          case when new."TRANSFORM_ID" is null then '' else '"' || sym_escape(new."TRANSFORM_ID") || '"' end||','||
          case when new."SOURCE_NODE_GROUP_ID" is null then '' else '"' || sym_escape(new."SOURCE_NODE_GROUP_ID") || '"' end||','||
          case when new."TARGET_NODE_GROUP_ID" is null then '' else '"' || sym_escape(new."TARGET_NODE_GROUP_ID") || '"' end||','||
          case when new."TRANSFORM_POINT" is null then '' else '"' || sym_escape(new."TRANSFORM_POINT") || '"' end||','||
          case when new."SOURCE_CATALOG_NAME" is null then '' else '"' || sym_escape(new."SOURCE_CATALOG_NAME") || '"' end||','||
          case when new."SOURCE_SCHEMA_NAME" is null then '' else '"' || sym_escape(new."SOURCE_SCHEMA_NAME") || '"' end||','||
          case when new."SOURCE_TABLE_NAME" is null then '' else '"' || sym_escape(new."SOURCE_TABLE_NAME") || '"' end||','||
          case when new."TARGET_CATALOG_NAME" is null then '' else '"' || sym_escape(new."TARGET_CATALOG_NAME") || '"' end||','||
          case when new."TARGET_SCHEMA_NAME" is null then '' else '"' || sym_escape(new."TARGET_SCHEMA_NAME") || '"' end||','||
          case when new."TARGET_TABLE_NAME" is null then '' else '"' || sym_escape(new."TARGET_TABLE_NAME") || '"' end||','||
          case when new."UPDATE_FIRST" is null then '' else '"' || new."UPDATE_FIRST" || '"' end||','||
          case when new."UPDATE_ACTION" is null then '' else '"' || sym_escape(new."UPDATE_ACTION") || '"' end||','||
          case when new."DELETE_ACTION" is null then '' else '"' || sym_escape(new."DELETE_ACTION") || '"' end||','||
          case when new."TRANSFORM_ORDER" is null then '' else '"' || new."TRANSFORM_ORDER" || '"' end||','||
          case when new."COLUMN_POLICY" is null then '' else '"' || sym_escape(new."COLUMN_POLICY") || '"' end||','||
          case when new."CREATE_TIME" is null then '' else '"' || new."CREATE_TIME" || '"' end||','||
          case when new."LAST_UPDATE_BY" is null then '' else '"' || sym_escape(new."LAST_UPDATE_BY") || '"' end||','||
          case when new."LAST_UPDATE_TIME" is null then '' else '"' || new."LAST_UPDATE_TIME" || '"' end, 'config', null, :sync_node_disabled, null, CURRENT_TIMESTAMP ); end end
TagsNo tags attached.

Activities

gilles.riand

2016-09-05 03:03

reporter   ~0000849

And Becarefull integer != numeric(18,0)

admin

2016-09-30 10:28

administrator   ~0000877

Re-opening. Was accidentally closed when performing the release.

gilles.riand

2017-03-16 06:40

reporter   ~0000977

This Bug is still in the version 3.8.18

Wrongs Names : it's not ID now it's NAME

select context_value from sym_context where id = 'sync_triggers_disabled'
>>> Must Be
select context_value from sym_context where name = 'sync_triggers_disabled'

gilles.riand

2017-03-16 09:06

reporter   ~0000978

File : G:\symmetric-ds-3.8\symmetric-ds-3.8\symmetric-client\src\main\java\org\jumpmind\symmetric\db\interbase\InterbaseTriggerTemplate.java

Line 51, 81 and 113

"_context where id = " >>> "_context where name = "

chenson

2017-03-22 13:56

administrator   ~0000980

https://github.com/JumpMind/symmetric-ds/pull/46

maxwellpettit

2017-04-13 13:05

developer   ~0001001

Added 64 bit dll into databases/interbase/x64/

Related Changesets

SymmetricDS: 3.8 fd50a9b8

2017-04-12 13:32:28

maxwellpettit

Details Diff
0002766: Version 3.8.3 : Symmtric DS Installation on Interbase
0002766
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorServiceSqlMap.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/interbase/InterbaseDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/interbase/InterbaseDatabasePlatform.java Diff File

SymmetricDS: 3.8 100725ce

2017-04-13 13:03:13

maxwellpettit

Details Diff
0002766: Version 3.8.3 : Symmtric DS Installation on Interbase
0002766
add - symmetric-server/src/main/deploy/databases/interbase/x64/sym_udf.dll Diff File

Issue History

Date Modified Username Field Change
2016-09-05 02:59 gilles.riand New Issue
2016-09-05 03:03 gilles.riand Note Added: 0000849
2016-09-29 21:01 admin Status new => closed
2016-09-30 10:28 admin Status closed => new
2016-09-30 10:28 admin Note Added: 0000877
2017-03-16 06:40 gilles.riand Note Added: 0000977
2017-03-16 09:06 gilles.riand Note Added: 0000978
2017-03-22 13:56 chenson Note Added: 0000980
2017-03-22 13:56 chenson Status new => acknowledged
2017-03-22 14:52 chenson Assigned To => maxwellpettit
2017-03-22 14:52 chenson Status acknowledged => assigned
2017-03-27 16:24 maxwellpettit Status assigned => resolved
2017-03-27 16:24 maxwellpettit Fixed in Version => 3.8.19
2017-03-27 16:24 maxwellpettit Resolution open => fixed
2017-03-27 16:25 maxwellpettit Status resolved => feedback
2017-03-27 16:25 maxwellpettit Resolution fixed => reopened
2017-03-27 16:26 maxwellpettit Status feedback => assigned
2017-04-13 13:05 maxwellpettit Note Added: 0001001
2017-04-13 13:05 maxwellpettit Status assigned => resolved
2017-04-13 13:05 maxwellpettit Resolution reopened => fixed
2017-04-13 14:00 maxwellpettit Changeset attached => SymmetricDS 3.8 100725ce
2017-04-13 14:00 maxwellpettit Changeset attached => SymmetricDS 3.8 fd50a9b8
2017-04-13 14:44 chenson Fixed in Version 3.8.19 => 3.8.20
2017-04-13 15:38 chenson Target Version => 3.8.20
2017-04-18 15:44 chenson Status resolved => closed